<template src="./template.html"></template>
<script lang="ts">
// import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop } from "vue-property-decorator";
import { api_key_tiny_editor } from "~/common/constaint";
import { apiErrorHandler } from "~/utils/apiHanlers";
// import axios from "axios";
// import UserModule from "~/store/user";
// import { Store } from "vuex";
@Component({
  components: {},
})
export default class SettingSellerAdsAndAnalyticsStoreComponent extends Vue {
  get storeId() {
    return this.$store.state.sellerStore.storeId;
  }

  get googleAnalyticId() {
    return (
      this.$store.state.sellerStore?.pixel?.googleAds?.googleAnalyticId || ""
    );
  }
  set googleAnalyticId(val: any) {
    this.$store.commit("sellerStore/setGoogleAds", { googleAnalyticId: val });
  }

  get googleTagManager() {
    return (
      this.$store.state.sellerStore?.pixel?.googleAds?.googleTagManager || ""
    );
  }
  set googleTagManager(val: any) {
    this.$store.commit("sellerStore/setGoogleAds", { googleTagManager: val });
  }

  get tikTokPixelId() {
    return (
      this.$store.state.sellerStore?.pixel?.tiktokPixel?.tikTokPixelId || ""
    );
  }
  set tikTokPixelId(val: any) {
    this.$store.commit("sellerStore/setTiktokPixel", { tikTokPixelId: val });
  }

  get snapPixelId() {
    return this.$store.state.sellerStore?.pixel?.snapPixel?.snapPixelId || "";
  }
  set snapPixelId(val: any) {
    this.$store.commit("sellerStore/setSnapPixel", { snapPixelId: val });
  }

  get twitterPixelId() {
    return (
      this.$store.state.sellerStore?.pixel?.twitterPixel?.twitterPixelId || ""
    );
  }
  set twitterPixelId(val: any) {
    this.$store.commit("sellerStore/setTwitterPixel", { twitterPixelId: val });
  }

  get pageViewId() {
    return this.$store.state.sellerStore?.pixel?.twitterPixel?.pageViewId || "";
  }
  set pageViewId(val: any) {
    this.$store.commit("sellerStore/setTwitterPixel", { pageViewId: val });
  }

  get contentViewId() {
    return (
      this.$store.state.sellerStore?.pixel?.twitterPixel?.contentViewId || ""
    );
  }
  set contentViewId(val: any) {
    this.$store.commit("sellerStore/setTwitterPixel", { contentViewId: val });
  }

  get addToCartId() {
    return (
      this.$store.state.sellerStore?.pixel?.twitterPixel?.addToCartId || ""
    );
  }
  set addToCartId(val: any) {
    this.$store.commit("sellerStore/setTwitterPixel", { addToCartId: val });
  }

  get checkoutInitiatedId() {
    return (
      this.$store.state.sellerStore?.pixel?.twitterPixel?.checkoutInitiatedId ||
      ""
    );
  }
  set checkoutInitiatedId(val: any) {
    this.$store.commit("sellerStore/setTwitterPixel", {
      checkoutInitiatedId: val,
    });
  }

  get addedPaymentInfoId() {
    return (
      this.$store.state.sellerStore?.pixel?.twitterPixel?.addedPaymentInfoId ||
      ""
    );
  }
  set addedPaymentInfoId(val: any) {
    this.$store.commit("sellerStore/setTwitterPixel", {
      addedPaymentInfoId: val,
    });
  }

  get purchaseId() {
    return this.$store.state.sellerStore?.pixel?.twitterPixel?.purchaseId || "";
  }
  set purchaseId(val: any) {
    this.$store.commit("sellerStore/setTwitterPixel", {
      purchaseId: val,
    });
  }
  get contentId() {
    return this.$store.state.sellerStore?.pixel?.facebookPixel?.contentId || "";
  }
  set contentId(val: any) {
    this.$store.commit("sellerStore/setFacebookPixel", { contentId: val });
  }
  get facebookPixelId() {
    return (
      this.$store.state.sellerStore?.pixel?.facebookPixel?.facebookPixelId || ""
    );
  }
  set facebookPixelId(val: any) {
    this.$store.commit("sellerStore/setFacebookPixel", {
      facebookPixelId: val,
    });
  }
}
</script>
